Redmine - Defect #18605

Wrong usage of logger.info to test log level
2014-12-09 10:41 - Jérbme BATAILLE

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 3.0.0

Resolution: Fixed Affected version:

Description

logger.info (instead of logger.info?) can trigger an error

Line 185:

logger.info "time entry could not be updated: #{time_entry.errors.full_messages}" if logger &&
logger.info

replace by :

logger.info "time entry could not be updated: #{time_entry.errors.full_messages}" if logger &&
logger.info?

Associated revisions

Revision 13766 - 2014-12-14 22:53 - Jean-Philippe Lang
Use logger.info? (#18605).

History

#1 - 2014-12-09 10:42 - Jérome BATAILLE

Sorry | missed a closing pre Tag !

#2 - 2014-12-12 22:07 - Jean-Philippe Lang
- Description updated
Jérébme BATAILLE wrote:

logger.info (instead of logger.info?) can trigger an error

In which circumstances?
#3 - 2014-12-14 22:21 - Jérome BATAILLE
Jean-Philippe Lang wrote:

In which circumstances?

In fact it can't because nil is managed as the default value.

But logger.info always return true (htp://www.ruby-doc.org/stdlib-2.0/libdoc/logger/rdoc/Logger.html#method-i-add), so you can't use logger.info to
detect if info level is enabled.

#4 - 2014-12-14 22:54 - Jean-Philippe Lang
- Subject changed from Typo in app/controllers/timelog_controller.rb to Wrong usage of logger.info to test log level
- Category changed from Time tracking to Code cleanup/refactoring

- Status changed from New to Closed
http://www.ruby-doc.org/stdlib-2.0/libdoc/logger/rdoc/Logger.html#method-i-add

- Assignee set to Jean-Philippe Lang
- Target version set to 3.0.0

- Resolution set to Fixed

Fixed in r13766 with another one, thanks.

#5 - 2014-12-14 22:56 - Jérome BATAILLE

Thanks a lot again ! :-)
